2010-06-02  Nicola Pero <nicola.pero@meta-innovation.com>

	* Library/gg_class.m (gstep_send_msg_to_guile): Updated some
	typecasts to compile with recent versions of guile.
	* ScriptKit/Library/GuileInterpreter.m ([-executeScript:]): Same
	change.
	
2010-06-02  Nicola Pero <nicola.pero@meta-innovation.com>

	* GNUmakefile: Replaced INSTALL_ROOT_DIR with DESTDIR.  Do not
	export INSTALL_ROOT_DIR.  Do not include non-existing makefiles.
	(SUBPROJECTS): Do not try to build the Greg subdirectory, which is
	now longer there.
	* Greg/: Directory removed.  It is now maintained at
	https://gna.org/projects/greg/
	
2007-02-18  Nicola Pero <nicola.pero@meta-innovation.com>

	* configure.in: Updated to work with gnustep-make v2.
	* configure: Regenerated.
	
2006-10-09  Nicola Pero <nicola.pero@meta-innovation.com>

	* GNUmakefile: Do not set GNUSTEP_INSTALLATION_DIR.
	* Library/GNUmakefile: Same change.
	* Test/GNUmakefile: Same change.
	* Tools/GNUmakefile: Same change.
	
2005-02-24  Richard Frith-Macdonald <rfm@gnu.org>

	* The Greg subdirectory is now obsolete.
	Greg now has its own project page at https://gna.org/projects/greg/

2004-02-28  Adam Fedor  <fedor@gnu.org>

	* Library/Makefile.postamble (header-links): Use -h not -L which
	doesn't work on some systems (Solaris).

2004-02-18  Adam Fedor  <fedor@gnu.org>

	* Version 1.1.4

2004-01-12  Adam Fedor  <fedor@gnu.org>

	* Library/private.h: Extern gstep_scm_tc16_class

2004-01-10  Adam Fedor  <fedor@gnu.org>

	* configure: Regenerate.

2003-08-23  Adam Fedor  <fedor@gnu.org>

	* Version 1.1.2

2003-07-31  David Ayers  <d.ayers@inode.at>
2003-07-31  Alexander Malmberg  <alexander@malmberg.org>

	* Library/CompatibilityHeaders.make: New file.
	* Library/GNUmakefile: Include CompatibilityHeaders.make to create
	dummy headers for at least one release.

Tue Jul 29 15:46:40 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* Library/Makefile.postamble: Changed rules to create temporary
	directory GNUstepGuile/ rather than gnustep/guile/.
	* Library/GNUmakefile (libgstep_guile_HEADER_FILES_INSTALL_DIR): Install
	headers in GNUstepGuile rather than gnustep/guile.
	
2003-06-12  Adam Fedor  <fedor@gnu.org>

	* Version 1.1.1

2003-06-07  Adam Fedor  <fedor@gnu.org>

	* configure.in: Fix for new path locations (gnustep-make-1.7.0)
	(patch from Damien Genet <damien.genet@free.fr>).
	Add -x objective-c to CPPFLAGS.

2003-06-02 Richard Frith-Macdonald <rfm@gnu.org>

	* Library/gg_class.m: Fix to parse anonymous structures
	* Library/private.m: Fix to parse handle structure arguments

2003-05-25  Adam Fedor  <fedor@gnu.org>

	* Version 1.1.0

Mon Apr 28 15:17:32 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* Library/Makefile.postamble (remove-header-links): Use -r when
	removing the symlink parent, else it was failing because it was
	not empty.
	(header-links): Do not destroy/recreate the symlink if it is
	already there.

2003-04-09 Richard Frith-Macdonald <rfm@gnu.org>

	* Library/gstep-guile.scm.in:
	* Library/gstep_guile.m:
	* Library/link_base.m:
	* Library/link_gdl2.m:
	* Library/link_gui.m:
	Modifications to attempt to handle either debug or non-debug libraries
	(preferably debug) whichever is available.  Localise library handling
	into a single procedure for maintainability.

2003-04-07  David Ayers  <d.ayers@inode.at>

	* Library/Makefile.postamble: Added after-all and before-clean
	targets to support cleaner header inclusions.
	* Library/gg_Object.h:  Use #include "" rather than <> for project
	headers.

2003-04-04  Adam Fedor  <fedor@gnu.org>

	* Documentation/GNUmakefile: Use $(GNUSTEP_MAKEFILES) instead of
        $(GNUSTEP_SYSTEM_ROOT)/Makefiles
	* ScriptKit/Examples/GNUmakefile, ScriptKit/Library/GNUmakefile,
	Tools/GNUmakefile: Idem.
	* Library/Makefile.postamble: Use $(GNUSTEP_LIBRARIES) instead
	of $(GNUSTEP_SYSTEM_ROOT)/Libraries.

2003-04-01  David Ayers  <d.ayers@inode.at>

	* Library/link_gdl2.m: Include deprecated API.
	
2003-03-27  David Ayers  <d.ayers@inode.at>

	* configure.in: Check for EOF libraries more selectively and base
	inclusion of any EOF support on availablity of EOControl instead
	of EOAccess.  Assert autoconf version.
	* configure: Regenerated with autoconf 2.5.
	* config.h.in: Sorted entries according to dependancy.
	* EOF.make.in: Allow for more selective configuration.
	* Library/link_gdl2.m (EOKVCTester): Added class to support
	testing.
	(gstep_gdl2_classes): Added test class and reordered classes to
	reflect hierarchical dependancy.
	
2003-03-17 Richard Frith-Macdonald <rfm@gnu.org>

	* Library/gstep-guile.scm.in: Use 'defined?' rather than the
	guile version.

2003-03-16 Richard Frith-Macdonald <rfm@gnu.org>

	* Version: Increase in preparation for new release
	* configure: regenerate
	* configure.in: create gstep-guile.scm
	* Documentation/gstep_guile.texi: update
	* Documentation/install.texi: update
	* Documentation/news.texi: update
	* Library/GNUmakefile: build more neatly.
	* Library/Makefile.postamble: Fixup library names in .scm file
	* Library/Makefile.preamble: Fixup library dependencies
	* Library/gstep-guile.scm: Removed ... now generated by configure
	* Library/gstep-guile.scm.in: New template for configure
	* Library/link_base.m: Make safe to re-call primary function.
	* Library/link_gdl2.m: Update for modules.
	* Library/link_gui.m: Update for modules.
	* Library/private.h: New macro for creatying selectors.
	Changes to get the gui and gdl2 stuff working with the module
	system and to enable them to be used automatically if available.

2003-03-15 Richard Frith-Macdonald <rfm@gnu.org>

	* config.h.in:
	* configure:
	* Greg/libtool:
	* Library/Makefile.postamble:
	* Library/Makefile.preamble:
	* Library/gg_NSObject.m:
	* Library/gg_Object.m:
	* Library/gg_class.m:
	* Library/gg_id.m:
	* Library/gg_protocol.m:
	* Library/gg_voidp.m:
	* Library/gstep-guile.scm:
	* Library/gstep_guile.m:
	* Library/link_base.m:
	* Library/link_gdl2.m:
	* Library/link_gui.m:
	* Library/private.h:
	* Library/private.m:
	* ScriptKit/path_guile.m4:
	* Test/go.m:
	* Test/tests/basic01.scm:
	* Test/tests/basic03.scm:
	* Test/tests/class.scm:
	Updates to work with guile 1.6 ... some bugfixes but mostly changes
	to cope with the way the guile module system has changed.

2003-02-25  David Ayers  <d.ayers@inode.at>

	* Library/link_base.m: Added NSNull to the list of classes.
	* Library/GNUmakefile: Fixed typo.
	
2003-02-23 23:58  Alexander Malmberg <alexander@malmberg.org>

	* Library/link_gui.m: Add NSParagraphStyle and NSMutableParagraphStyle
	to the list of classes.

2002-02-04  David Ayers  <d.ayers@inode.at>

	* GNUmakefile: distclean AppKit.make and EOF.make.
	* configure.in: Added tests for EOAccess.h, EOControl.h 
	and EOInterface.h.
	* config.h.in: Dito.
	* configure: Regenerated.
	* EOF.make.in: New file.

	* Library/GNUmakefile: Added include of EOF.make and libgg_gdl2.
	* Library/Makefile.pramble: Added dependancy for libgg_gdl2.
	* Library/gstep_guile.h: Added gstep_link_gdl2().
	* Library/link_gdl2.m: New file.

	* Tools/guile-gdl2.m: New file.
	* Tools/GNUmakefile: Added guile-gdl2.
	* Tools/Makefile.preamble: Added guile-gdl2 support.

	* Test/GNUmakefile: Removed excessive check in HAVE_APPKIT
	processing.  Added gdl2.
	* Test/Makefile.preamble: Added gdl2_TOOL_LIBS for gdl2.
	* Test/go.m: Added note on how to exit to startup message.
	* Test/gui.m: Added note on how to exit to startup message.
	* Test/gdl2.m: New file.
	
Tue Nov 26 12:48:19 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile: Do not define GNUSTEP_MAKEFILES.
	* AppKit.make.in: Added.
	* config.mak.in: Removed.
	* configure.in: Output AppKit.make; do not output config.mak
	and Test/GNUmakefile.
	* configure: Regenerated.
	
	* Library/GNUmakefile (GNUSTEP_LOCAL_ADDITIONAL_MAKEFILES): Define
	to be ../guile.make.
	(GNUSTEP_MAKEFILES): Variable definition removed.
	(../config.mak): Do not include.
	(../AppKit.make): Include.
	* Library/Makefile.preamble: Replaced DEFS with GUILE_DEFINE, and
	GUILE_CFLAGS with GUILE_CPPFLAGS, since we're now correctly using
	../guile.make.

	* ScriptKit/config.mak.in: Renamed DEFS to GUILE_DEFINE, and
	GUILE_CFLAGS to GUILE_CPPFLAGS.
	* ScriptKit/Examples/Makefile.preamble: Updated for those variable
	name changes.
	* ScriptKit/Library/Makefile.preamble: The same.
	* ScriptKit/Examples/GNUmakefile: include ../config.mak before
	common.make.  Define GUILE_MAKE_LOADED=yes to prevent system
	guile.make to interfere with local GUILE variables.
	* ScriptKit/Library/GNUmakefile: Similar changes.

	* Test/GNUmakefile.in: Removed.
	* Test/GNUmakefile: Added.
	* Test/Makefile.preamble: Updated for new variable names.

	* Tools/GNUmakefile: include ../AppKit.make.  Do not include
	../config.mak.
	
2002-09-16 Richard Frith-Macdonald <rfm@gnu.org>

	* Library/link_base.m: Adjust for new constants for NSFileManager
	file attributes.

2002-03-14  Adam Fedor  <fedor@gnu.org>

	* Version: 1.0.3

	* Library/GNUmakefile (libgstep_guile_HEADER_FILES_INSTALL_DIR): 
	Install in gnustep/guile.

Tue Mar  5 17:53:45 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Library/link_gui.m (gstep_gui_classes): Do not try to access
	NSCStringText.

Wed Feb  6 16:41:43 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile (configure): Rule removed - was causing problems
	on systems without autoconf.
	(config.status): Do not depend on configure.
	
2002-02-04  Adam Fedor  <fedor@gnu.org>

	* gnustep-guile.spec.in: Requires gnustep-base.

2002-01-07  Adam Fedor  <fedor@gnu.org>

	* Version: 1.0.2

	* configure.in: Set GNUstep Headers include dir before checking
	for AppKit/AppKit.h
	* config.mak.in (HAVE_APPKIT): Define if Appkit/AppKit.h found.
	* Library/GNUmakefile: Use it in place of GUI_LIB
	* Tools/GNUmakefile: Likewise.

	* Documentation/news.texi: Update.

2002-01-05 Richard Frith-Macdonald <rfm@gnu.org>

	* Library/Makefile.postamble (after-install): Place guile
	modules in GNUSTEP_SYSTEM_ROOT/Libraries/Guile ... depend
	on environment variables set up by stuff in make package
	to tell guile where to look.

Thu Dec 13 11:44:30 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Library/Makefile.postamble (after-install): Use MKINSTALLDIRS
	not MKDIRS to create installation directories; added fall-back
	definition of MKINSTALLDIRS for older gnustep-makes.
	* GNUmakefile (before-install): Idem.
	
Thu Nov 22 01:09:56 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile (CVS_MODULE_NAME): Deinfe.

Wed Sep 26 11:42:09 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Tools/GNUmakefile: Compile and install guile-gui.app if 
	GUI_LIB is not nil.

Fri Aug 24 09:53:57 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* configure.in: Abort immediately complaining to the user if
	GNUSTEP_SYSTEM_ROOT is undefined.
	(AC_PREFIX_DEFAULT): Assume that GNUSTEP_SYSTEM_ROOT is defined,
	don't attempt to use /usr/GNUstep as a fallback.

Tue Aug  7 04:12:46 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile (before-all): New rule - depend on config.status.
	(config.status): New rule - run ./configure if configure is newer
	than config.status.
	(configure): New rule - run autoreconf if configure.in is newer
	than configure.

2001-07-30  Adam Fedor  <fedor@gnu.org>

	* config.h.in: Add proper define for getting guile export symbols
	on Windows.
	* Library/*: Include it.
	* Library/gstep_guile.h: Don't include depreciated types if using
	new version of guile.

2001-07-27 Richard Frith-Macdonald <rfm@gnu.org>

	* Library/gg_id.m: added gstep-methods procedure to list methods
	and their types.

2001-06-09 Richard Frith-Macdonald <rfm@gnu.org>

	* Library/gg_NSObject.m: Cope with unicode strings (use lossyCString)
	* Library/gg_id.m: ditto
	* Library/gg_protocol.m: ditto
	* Library/link_base.m: ditto
	* Library/link_gui.m: ditto

2001-05-29  Adam Fedor  <fedor@gnu.org>

	* Version: 1.0.1

2001-05-15 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/gg_class.m: tidied to conform to coding standards.
	* Source/gg_id.m: implemented gstep-sup-send to permit subclassing.
	Avoid recursive calls for methodSignatureForSelector:

2001-05-13 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/gg_class.m: protect guile methods from GC.
	* Source/private.m: Fix bug in returning ID ivars.
	Tidy source.

2001-05-13 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/gg_class.m: Permit subclassing of NSProxy.

2001-05-12 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/gg_NSObject.m: Removed category for NSProxy, as a closer
	reading of documentation convinced me that the base library would
	be better modified so that NSProxy could work directly.

2001-05-11 Richard Frith-Macdonald <rfm@gnu.org>

	Remove duplicate of path_guile.m4 so we only have one version to
	remember to modify.
	* path_guile.m4: deleted
	* configure.in: Use ScriptKit/path_guile.m4
	* configure: regenerate.

2001-05-10 Richard Frith-Macdonald <rfm@gnu.org>

	Various minor tidyps (some changes to conform to coding standards)
	but mostly, updates to permit automated testing of the NSProxy class
	for GNUstep-base.

	* Source/gg_NSObject.m: Added category for NSProxy to add the
	essential methods for testing it using Guile.  Normally a
	subclass of NSProxy would be expected to override these.
	* Source/gg_Object.m: Implement ([respondsToSelector:])
	* Source/gg_id.m: Use the modern respondsToSelector rather
	than the old respondsTo
	* Source/gg_voidp.m: Fix missing return value from one function.

Tue Apr 17 13:01:57 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Tools: New directory containing the guile-base and guile-gui
	executables, moved to here (with appropriate changes in the
	makefiles) from the tests module.
	* GNUmakefile (SUBPROJECTS): Compile Tools.

2001-04-06  Adam Fedor  <fedor@gnu.org>

	* Version: 1.0.0
	* Documentation/*texi: Update
	* ScriptKit/Library/Guile.h: Fix DLL define

2001-03-31  Adam Fedor  <fedor@gnu.org>

        * Fixes to compile on cygwin/mingw32.
        * Library/gg_class.m (gstep_add_methods): Use objc_EXPORT
        if defined for __objc_runtime_mutex.
        * Library/gstep_guile.h: Define DLL EXPORT commands. Use them.
        * ScriptKit/Library/libScriptKit.def: New file.
        * ScriptKit/Library/GNUmakefile: Use it.
        * ScriptKit/Library/Guile.h: Define DLL EXPORT commands. Use them.
        * ScriptKit/Library/Makeifile.preamble: Define LIBRARIES_DEPEND_UPON
        for cygwin and mingw32.

2001-03-23 Richard Frith-Macdonald <rfm@gnu.org>

	* Library/gg_voidp.m: Reformat to coding standards ... just because
	I happened to be looking at the code.

Tue Mar 13 15:36:52 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Library/gg_id.m (free_gstep_id): Enclose the call to
	respondsToSelector: into an autorelease pool too, as with remote
	objects respondsToSelector: can autorelease objects as well.

2001-03-13  Adam Fedor  <fedor@gnu.org>

	* guile.make.in: New file.

2001-03-10  Adam Fedor  <fedor@gnu.org>

	* Version 0.9.2
	* guile.make.in: New file
	* configure.in: Check for CC and CPP, make guile.make
	* GNUmakefile: Install it.
	* Greg/Makefile: Add dummy check target.
	* Library/Makefile.preamble: Include GUILE flags from config.make
	* Test/go.m: If GS_PASS_ARGUMENTS, call NSProcessInfo arg 
	initialization.

2001-02-13  Adam Fedor  <fedor@gnu.org>

	* Version: 0.9.1

2001-02-12  Adam Fedor  <fedor@gnu.org>

	* Library/gg_class.m (gstep_send_msg_to_guile): Set the va_arg
	type to the actual type after default promotion, to avoid type
	violation error.

Tue Jan 23 14:43:49 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile: Install into GNUSTEP_SYSTEM_ROOT by default.

Mon Jan 22 15:12:03 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile: Added RPM packaging.
	* gnustep-guile.spec.in, gnustep-guile-debug.spec.in: New files.

2001-01-04 Richard Frith-Macdonald <rfm@gnu.org>

	* Library/gg_class.m: Correct code for adding factory methods.
	* Library/gg_id.m: Resolve class links if necessary when sending a
	message to a newly loaded class.  This makes it possible to load
	objc shared libraries using  '(dynamic-link "libname.so")' and then
	use the classes from the library.
	* Library/private.m: Correct code for determining if an object is
	a class.
	* Test/tests/*: Tidied test scripts to localise defines
	* Test/test.scm: Use the gstep-guile module
	* Test/go.m: Don't use the gstep-guile module - let test.scm do it.
	* Test/gui.m: ditto.
	
2000-12-18 Richard Frith-Macdonald <rfm@gnu.org>

	* Library/gg_id.m: Create an autorelease pool while releasing
	objects in guile garbage collection - in case the deallocation
	of the object causes an autorelease.

2000-11-06  Adam Fedor  <fedor@gnu.org>

	* Documentation: Move tmpl.texi files to texi files and update 
	GNUmakefile

2000-10-16 Richard Frith-Macdonald <rfm@gnu.org>

	* ScriptKit/Library/SKInterpreter.h: patch by n.pero for use with
	shared libobjc

2000-06-24 Richard Frith-Macdonald <rfm@gnu.org>

	Fixes for guile-1.4 which changed the smob interface breaking most
	old code :-(
	* Version: Version bumped to 0.6.6
	* path_guile.m4: Adpoted from ScriptKit
	* config.mak.in: New file to pass info to makefiles
	* Documentation/install.tmpl.texi: New version info
	* Documentation/news.tmpl.texi: New version info
	* Library/GNUmakefile: include ../config.mak
	* Library/Makefile.preamble: pass GUILE_MAKE_SMOB_TYPE
	* Library/gg_class.m: use GUILE_MAKE_SMOB_TYPE
	* Library/gg_id.m: ditto
	* Library/gg_voidp.m: ditto

2000-06-01 Richard Frith-Macdonald <rfm@gnu.org>

	* Library/gstep-guile.scm: Updated for Guile-1.3.5 and re-indented code.
	remove reliance on a feature of guiles list->string that has been
	scrapped for consistency with standards.

2000-03-25  Adam Fedor  <fedor@gnu.org>

	* Version 0.6.5 released.

	* README, NEWS, INSTALL: Update
	* GNUmakefile: Don't make documentation by default.

Tue Feb 22 08:56:00 2000  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	Updated documentation and version numbering to match new release
	of GNUstep core.

Tue Sep 21  5:14:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	Misc changes to tidy compiler warnings etc.

Tue Aug  3 11:40:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	Changes to make it straightforward to build and install on systems
	where only the foundation library is available.
	* configure.in: Check for AppKit/AppKit.h
	* Library/link_gui.m: dummy function if no gui library
	* Test/GNUmakefile.in: don't guild gui version when there is no gui.

Fri Jul  2 12:12:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* Library/link_gui.m: Don't link obsolete NSMenuMatrix class.

1999-03-14  Adam Fedor  <fedor@gnu.org>

	* README: New file
	* NEWS: Likewise
	* Documentation/readme.tmpl.texi: Likewise.
	* Documentation/news.tmpl.texi: Likewise.
	* Documentation/intall.tmpl.texi: Likewise.

1999-03-12  Adam Fedor  <fedor@gnu.org>

	* Version: New file
	* Library/GNUmakefile: Use it.
	* Documentation/Makefile.postamble: Likewise to create version.texi
	* Documentation/gstep_guile: Use info from version.texi.

	* Test/GNUmakefile: Set install dir to GNUSTEP_SYSTEM_ROOT
	
	* GNUmakefile (SUBPROJECTS): Moved Documentation last, just in
	case people can't make it.
	* configure.in: Add with-guile-path for Greg

Thu Mar  4 19:35:31 1999  Masatake Yamato  <masata-y@is.aist-nara.ac.jp>

	* GNUmakefile (after-distclean): Added new target.

	* Added install-sh. Copied from Greg sub directory.

	* ScriptKit: New directory. Import ScriptKit.

	* GNUmakefile (SUBPROJECTS): Added ScriptKit.

	* configure.in: New file. 
	  Use AC_CONFIG_SUBDIRS.

Mon Jan 25  9:45:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* Library/Makefile.postamble: Install scm file on systems without
	shared libraries. Patch supplied by masata-y@is.aist-nara.ac.jp

Tue Dec 22 23:54:45 1998  Matthias Klose  <doko@cs.tu-berlin.de>

        * Library/GNUmakefile: New macro SCHEME_FILES.
        * Library/Makefile.postamble (after-install): Make symlinks
          to the versioned (soname) library. Use LN_S and MKDIRS.
          Strip INSTALL_ROOT_PREFIX from symbolic link.

Mon Dec 21 15:35:00 1998  Richard Frith-Macdonald <richard@brainstorm.co.uk>

        * Library/Makefile.postamble: revised fix of installation of the three
        compiled modules as supplied by <doko@cs.tu-berlin.de>

Fri Dec 18 12:15:00 1998  Richard Frith-Macdonald <richard@brainstorm.co.uk>

        * Library/Makefile.postamble: Fixed installation of the three
        compiled modules as suggested by <doko@cs.tu-berlin.de>

Thu Dec 17 11:42:46 1998  Adam Fedor  <fedor@ultra.doc.com>

	* configure: Pass args to subdir config.

	* GNUmakefile: Likewise
	* Documentation/GNUmakefile: Fix include paths.
	* Library/GNUmakefile: Fix include paths.
	* Test/GNUmakefile: Fix include paths.

	* Greg/Library/Makefile.in (install): Add install root dir.
	* Library/Makefile.postamble (after-install): Likewise.

Tue Dec 15 11:20:00 1998  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* Library/gg_class.m: Added code to catch guile exceptions and
	convert them to NSExceptions.  Inspired by ScriptKit from the gyve
	project.

Wed Dec 02 20:20:54 1998  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* Library/gg_NSObject.m: Added autorelease pool 
	* Library/gg_Object.m: Added autorelease pool and tidied
	* Library/gg_id.m: Tidied.

Thu Nov 19 09:09:54 1998  Adam Fedor  <fedor@doc.com>

	* Test/Makefile.preamble (ADDITIONAL_INCLUDE_DIRS): Add ../Library
	(Fix from Gregor Hoffleit <flight@mathi.uni-heidelberg.de>).

